Subject: Re: moving to a git-backed wiki

From: Jakub Narebski <[email-masked]>
Date: Wed, 02 Feb 2011 03:14:56 -0800 (PST)

Felipe Contreras <[email-masked]> writes:
> On Wed, Feb 2, 2011 at 11:55 AM, Vincent Hanquez <[email-masked]> wrote:
>>  On 01/02/11 22:48, J.H. wrote:
>>>
>>> The wiki will almost universally have a "central site" no matter what
>>> the backend.  Personally I see little advantage to having a git backed
>>> wiki myself.
>>
>> with git based wiki, you can clone the whole wiki on your local machine, and
>> read/edit/commit on it locally using standard editor tool (i.e. $EDITOR).
>> and the history/revision/diff is completely built-in.
> 
> But there's no git based wiki (or any other wiki) that has even a
> fraction of the features that MediaWiki has, or IMO a markup format
> similarly sane.

Gollum (the engine used by git-based wikis on GitHub) offers support
for MediaWiki format.  I don't know how it is with editing and
presenting history (end e.g. reverting spam), especially on older or
text browsers.

-- 
Jakub Narebski
Poland
ShadeHawk on #git